0

Some apps like Evernote and Superevent require iOS7, and have been "optimized" for iPhone 5 and above. Will such apps work fine an iPhone 4 that has been upgraded to iOS7.1? On a forum I heard that upgraded iPhones have "missing frameworks" or something, so I don't want to buy this iPhone if I cannot run Evernote and Superevent.

2

"Optimized" apps are adapted for the bigger screen sizes of later iPhones, they may also include functionality which requires new hardware only available in these models (e.g. for Touch ID). Besides that apps which run under iOS 7 run on all hardware supporting this iOS version.

3
  • Does Apple actually test the app on older iPhone versions before adding it to the iTunes store? Because unless you test it how do you know for sure if its going to run?
    – Steve Pat.
    Nov 10 '14 at 20:01
  • I know for sure that Evernote does :-) And I've never heard of any problems regarding iOS compatibility.
    – nohillside
    Nov 10 '14 at 20:04
  • Thank you very much patrik! This confirmation really helps!
    – Steve Pat.
    Nov 11 '14 at 6:34

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .